<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <Version>1.0.0.0</Version>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <AssemblyName>YGNT.QuestionLibrary.Core</AssemblyName>
    <PackageId>YGNT.QuestionLibrary.Core</PackageId>
    <GenerateAssemblyConfigurationAttribute>false</GenerateAssemblyConfigurationAttribute>
    <GenerateAssemblyCompanyAttribute>false</GenerateAssemblyCompanyAttribute>
    <GenerateAssemblyProductAttribute>false</GenerateAssemblyProductAttribute>
    <RootNamespace>YGNT.QuestionLibrary.Core</RootNamespace>
  </PropertyGroup>
  <ItemGroup>
    <EmbeddedResource Include="Localization\SourceFiles\*.json" Exclude="bin\**;obj\**;**\*.xproj;packages\**;@(EmbeddedResource)" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="Test\**" />
    <EmbeddedResource Remove="Test\**" />
    <None Remove="Test\**" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="Papers\Cache\IScoringCache.cs" />
    <Compile Remove="Papers\Cache\ScoringCache.cs" />
    <Compile Remove="Papers\Cache\ScoringCacheItem.cs" />
    <Compile Remove="Papers\Domain\IPaperSettingManager.cs" />
    <Compile Remove="Papers\Domain\IScoringManager.cs" />
    <Compile Remove="Papers\Domain\PaperSettingManager.cs" />
    <Compile Remove="Papers\Domain\ScoringManager.cs" />
    <Compile Remove="Papers\Event\PaperScoreCalculate.cs" />
    <Compile Remove="Papers\PaperQuestionTypeScoringSetting.cs" />
    <Compile Remove="Papers\Scoring.cs" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Abp" Version="5.13.0" />
    <PackageReference Include="Abp.AutoMapper" Version="5.13.0" />
    <PackageReference Include="Abp.EntityFrameworkCore" Version="5.13.0" />
    <PackageReference Include="Mapster" Version="7.0.1" />
    <PackageReference Include="Microsoft.Extensions.Configuration.EnvironmentVariables" Version="3.1.5" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="3.1.5" />
    <PackageReference Include="Z.EntityFramework.Plus.EFCore" Version="3.1.11" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\QuestionSwap\QuestionSwapDoc\QuestionSwapDoc.csproj" />
    <ProjectReference Include="..\..\YGNT.File\YGNT.File.Core\YGNT.File.Core.csproj" />
    <ProjectReference Include="..\..\YGNT.Infrastructure\YGNT.Infrastructure.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Papers\Cache\" />
  </ItemGroup>
</Project>